> For the complete documentation index, see [llms.txt](https://docs.sonarsource.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sonarsource.com/sonarqube-server/2025.4/instance-administration/security/user-sessions.md).

# User sessions

In SonarQube Server 2025.4, a user’s session will automatically end after a period of inactivity. This is a security measure to prevent unauthorized access to sensitive data.

A user’s session will automatically end after a period of inactivity. This feature is called inactive session timeout. This is a security measure to prevent unauthorized access to sensitive data if a user leaves their computer unattended. SonarQube will log the user out after the timeout period. By default, the inactive session timeout is 3 days. You can change it.

The active session timeout is supported starting in [Enterprise Edition](https://www.sonarsource.com/plans-and-pricing/enterprise/). An active session timeout means a user’s session will automatically end after a period of time, regardless of activity. SonarQube will log the user out after the timeout period even if the user is actively using the system. By default, the active session timeout is 90 days. You can change it.

To configure the user session timeouts, set the following sonar properties in `<sonarqubeHome>/conf/sonar.properties`. If applicable, you can use the environment variable instead.

<table><thead><tr><th width="337">System property (sonar property and ENVIRONMENT_VARIABLE)</th><th>Description</th></tr></thead><tbody><tr><td><p>sonar.web.sessionTimeoutInMinutes</p><p>SONAR_WEB_SESSIONTIMEOUTINMINUTES</p></td><td><p>Inactive session timeout (in minutes). The maximum time a user can remain idle (no activity) before the session ends. If the user does not interact with the system within this time, they are logged out.</p><p><strong>Default value</strong>: <code>4320</code> (3 days)</p><p><strong>Minimum value</strong>: <code>6</code></p><p><strong>Maximum value</strong>: <code>129 600</code> (90 days)</p></td></tr><tr><td>sonar.web.activeSessionTimeoutInMinutes</td><td><p>This property is supported starting in <a href="https://www.sonarsource.com/plans-and-pricing/enterprise/">Enterprise Edition</a>.</p><p>Active session timeout (in minutes). The maximum time a user can remain logged in, regardless of activity. After this time, the session ends automatically even if the user is actively using the system.</p><p><strong>Default value</strong>: <code>129 600</code> (90 days)</p><p><strong>Minimum value:</strong><code>15</code></p><p><strong>Maximum value</strong>: <code>129 600</code> (90 days)</p></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sonarsource.com/sonarqube-server/2025.4/instance-administration/security/user-sessions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
